package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum MusicGroupStatusEnum implements BaseEnum<String, MusicGroupStatusEnum> {
	DRAFT("草稿"), AUDIT("审核中"), AUDIT_FAILED("审核失败"), PRE_APPLY("预报名"), PRE_BUILD_FEE("创建缴费"),
	FEE_AUDIT("费用审核中"), APPLY("报名中"), PAY("缴费中"), PREPARE("筹备中"), PROGRESS(
			"进行中"), CANCELED("取消"), PAUSE("暂停"), CLOSE("关闭");

	private String msg;

	MusicGroupStatusEnum(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.name();
	}

	public String getMsg() {
		return msg;
	}
}
